OrcProto.FileTail.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.FileTail.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.FileTail.Builder>
      - - org.apache.orc.OrcProto.FileTail.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.FileTailOrBuilder
  Enclosing class:
    OrcProto.FileTail

      public static final class OrcProto.FileTail.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.FileTail.Builder>
      implements OrcProto.FileTailOrBuilder

  Protobuf type `orc.proto.FileTail`

       The contents of the file tail that must be serialized.
       This gets serialized as part of OrcSplit, also used by footer cache.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.FileTail` | `build()`
    `OrcProto.FileTail` | `buildPartial()`
    `OrcProto.FileTail.Builder` | `clear()`
    `OrcProto.FileTail.Builder` | `clearFileLength()` `optional uint64 fileLength = 3;`
    `OrcProto.FileTail.Builder` | `clearFooter()` `optional .orc.proto.Footer footer = 2;`
    `OrcProto.FileTail.Builder` | `clearPostscript()` `optional .orc.proto.PostScript postscript = 1;`
    `OrcProto.FileTail.Builder` | `clearPostscriptLength()` `optional uint64 postscriptLength = 4;`
    `OrcProto.FileTail.Builder` | `clone()`
    `OrcProto.FileTail` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getFileLength()` `optional uint64 fileLength = 3;`
    `OrcProto.Footer` | `getFooter()` `optional .orc.proto.Footer footer = 2;`
    `OrcProto.Footer.Builder` | `getFooterBuilder()` `optional .orc.proto.Footer footer = 2;`
    `OrcProto.FooterOrBuilder` | `getFooterOrBuilder()` `optional .orc.proto.Footer footer = 2;`
    `OrcProto.PostScript` | `getPostscript()` `optional .orc.proto.PostScript postscript = 1;`
    `OrcProto.PostScript.Builder` | `getPostscriptBuilder()` `optional .orc.proto.PostScript postscript = 1;`
    `long` | `getPostscriptLength()` `optional uint64 postscriptLength = 4;`
    `OrcProto.PostScriptOrBuilder` | `getPostscriptOrBuilder()` `optional .orc.proto.PostScript postscript = 1;`
    `boolean` | `hasFileLength()` `optional uint64 fileLength = 3;`
    `boolean` | `hasFooter()` `optional .orc.proto.Footer footer = 2;`
    `boolean` | `hasPostscript()` `optional .orc.proto.PostScript postscript = 1;`
    `boolean` | `hasPostscriptLength()` `optional uint64 postscriptLength = 4;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.FileTail.Builder` | `mergeFooter(OrcProto.Footer value)` `optional .orc.proto.Footer footer = 2;`
    `OrcProto.FileTail.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.FileTail.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.FileTail.Builder` | `mergeFrom(OrcProto.FileTail other)`
    `OrcProto.FileTail.Builder` | `mergePostscript(OrcProto.PostScript value)` `optional .orc.proto.PostScript postscript = 1;`
    `OrcProto.FileTail.Builder` | `setFileLength(long value)` `optional uint64 fileLength = 3;`
    `OrcProto.FileTail.Builder` | `setFooter(OrcProto.Footer.Builder builderForValue)` `optional .orc.proto.Footer footer = 2;`
    `OrcProto.FileTail.Builder` | `setFooter(OrcProto.Footer value)` `optional .orc.proto.Footer footer = 2;`
    `OrcProto.FileTail.Builder` | `setPostscript(OrcProto.PostScript.Builder builderForValue)` `optional .orc.proto.PostScript postscript = 1;`
    `OrcProto.FileTail.Builder` | `setPostscript(OrcProto.PostScript value)` `optional .orc.proto.PostScript postscript = 1;`
    `OrcProto.FileTail.Builder` | `setPostscriptLength(long value)` `optional uint64 postscriptLength = 4;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.FileTail.Builder>`

    - #### clear

          public OrcProto.FileTail.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.FileTail.Builder>`

    - #### clone

          public OrcProto.FileTail.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.FileTail.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.FileTail.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.FileTail getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.FileTail build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.FileTail buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.FileTail.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.FileTail.Builder>`

    - #### mergeFrom

          public OrcProto.FileTail.Builder mergeFrom(OrcProto.FileTail other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.FileTail.Builder>`

    - #### mergeFrom

          public OrcProto.FileTail.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                              throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.FileTail.Builder>`
      Throws:
        `IOException`

    - #### hasPostscript

          public boolean hasPostscript()

      `optional .orc.proto.PostScript postscript = 1;`
      Specified by:
        `hasPostscript` in interface `OrcProto.FileTailOrBuilder`

    - #### getPostscript

          public OrcProto.PostScript getPostscript()

      `optional .orc.proto.PostScript postscript = 1;`
      Specified by:
        `getPostscript` in interface `OrcProto.FileTailOrBuilder`

    - #### setPostscript

          public OrcProto.FileTail.Builder setPostscript(OrcProto.PostScript value)

      `optional .orc.proto.PostScript postscript = 1;`

    - #### setPostscript

          public OrcProto.FileTail.Builder setPostscript(OrcProto.PostScript.Builder builderForValue)

      `optional .orc.proto.PostScript postscript = 1;`

    - #### mergePostscript

          public OrcProto.FileTail.Builder mergePostscript(OrcProto.PostScript value)

      `optional .orc.proto.PostScript postscript = 1;`

    - #### clearPostscript

          public OrcProto.FileTail.Builder clearPostscript()

      `optional .orc.proto.PostScript postscript = 1;`

    - #### getPostscriptBuilder

          public OrcProto.PostScript.Builder getPostscriptBuilder()

      `optional .orc.proto.PostScript postscript = 1;`

    - #### getPostscriptOrBuilder

          public OrcProto.PostScriptOrBuilder getPostscriptOrBuilder()

      `optional .orc.proto.PostScript postscript = 1;`
      Specified by:
        `getPostscriptOrBuilder` in interface `OrcProto.FileTailOrBuilder`

    - #### hasFooter

          public boolean hasFooter()

      `optional .orc.proto.Footer footer = 2;`
      Specified by:
        `hasFooter` in interface `OrcProto.FileTailOrBuilder`

    - #### getFooter

          public OrcProto.Footer getFooter()

      `optional .orc.proto.Footer footer = 2;`
      Specified by:
        `getFooter` in interface `OrcProto.FileTailOrBuilder`

    - #### setFooter

          public OrcProto.FileTail.Builder setFooter(OrcProto.Footer value)

      `optional .orc.proto.Footer footer = 2;`

    - #### setFooter

          public OrcProto.FileTail.Builder setFooter(OrcProto.Footer.Builder builderForValue)

      `optional .orc.proto.Footer footer = 2;`

    - #### mergeFooter

          public OrcProto.FileTail.Builder mergeFooter(OrcProto.Footer value)

      `optional .orc.proto.Footer footer = 2;`

    - #### clearFooter

          public OrcProto.FileTail.Builder clearFooter()

      `optional .orc.proto.Footer footer = 2;`

    - #### getFooterBuilder

          public OrcProto.Footer.Builder getFooterBuilder()

      `optional .orc.proto.Footer footer = 2;`

    - #### getFooterOrBuilder

          public OrcProto.FooterOrBuilder getFooterOrBuilder()

      `optional .orc.proto.Footer footer = 2;`
      Specified by:
        `getFooterOrBuilder` in interface `OrcProto.FileTailOrBuilder`

    - #### hasFileLength

          public boolean hasFileLength()

      `optional uint64 fileLength = 3;`
      Specified by:
        `hasFileLength` in interface `OrcProto.FileTailOrBuilder`

    - #### getFileLength

          public long getFileLength()

      `optional uint64 fileLength = 3;`
      Specified by:
        `getFileLength` in interface `OrcProto.FileTailOrBuilder`

    - #### setFileLength

          public OrcProto.FileTail.Builder setFileLength(long value)

      `optional uint64 fileLength = 3;`

    - #### clearFileLength

          public OrcProto.FileTail.Builder clearFileLength()

      `optional uint64 fileLength = 3;`

    - #### hasPostscriptLength

          public boolean hasPostscriptLength()

      `optional uint64 postscriptLength = 4;`
      Specified by:
        `hasPostscriptLength` in interface `OrcProto.FileTailOrBuilder`

    - #### getPostscriptLength

          public long getPostscriptLength()

      `optional uint64 postscriptLength = 4;`
      Specified by:
        `getPostscriptLength` in interface `OrcProto.FileTailOrBuilder`

    - #### setPostscriptLength

          public OrcProto.FileTail.Builder setPostscriptLength(long value)

      `optional uint64 postscriptLength = 4;`

    - #### clearPostscriptLength

          public OrcProto.FileTail.Builder clearPostscriptLength()

      `optional uint64 postscriptLength = 4;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.